#!/bin/sh

# * Licensed Materials - Property of IBM
# * 5724-L68,5724-L69
# * (C) Copyright IBM Corp. 2007 - All Rights Reserved.
# * US Government Users Restricted Rights - Use, duplication or disclosure
# * restricted by GSA ADP Schedule Contract with IBM Corp.

## Step 1: Verify input params and give usage

if [ $# -ne 2 ]
then 
echo The script needs the following parameters
echo 1. Schema Owner
echo 2. Schema Password

echo "USAGE  : bcgBDOMigrate <Schema Owner> <Schema Password>"

echo "SAMPLE : bcgBDOMigrate bcgapps bcgapps"

exit 1
fi

BCGHUB_HOME="$BCGHUB_HOME$"

. "$BCGHUB_HOME"/bin/bcgSetupCmdLine.sh

DB_HOSTNAME=$DB_HOSTNAME$
DB_PORT=$DB_PORT$
DB_NAME=$DB_NAME$
DB_SCHEMA=$DB_SCHEMA$
DBTYPE=$DB_TYPE$

JDBC_DRIVER=$JDBC_DRIVER$

APP_LIB="$BCGHUB_HOME"/wasND/Profiles/"$RouterProfile"/installedApps/"$CellName"/BCGDocMgr.ear/lib/db2jcc.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ConsoleProfile"/installedApps/"$CellName"/BCGConsole.ear/lib/db2jcc.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ReceiverProfile"/installedApps/"$CellName"/BCGReceiver.ear/lib/db2jcc.jar:"$BCGHUB_HOME"/wasND/Profiles/"$RouterProfile"/installedApps/"$CellName"/BCGDocMgr.ear/lib/db2jcc_license_cisuz.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ConsoleProfile"/installedApps/"$CellName"/BCGConsole.ear/lib/db2jcc_license_cisuz.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ReceiverProfile"/installedApps/"$CellName"/BCGReceiver.ear/lib/db2jcc_license_cisuz.jar:"$BCGHUB_HOME"/wasND/Profiles/"$RouterProfile"/installedApps/"$CellName"/BCGDocMgr.ear/lib/db2jcc_license_cu.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ConsoleProfile"/installedApps/"$CellName"/BCGConsole.ear/lib/db2jcc_license_cu.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ReceiverProfile"/installedApps/"$CellName"/BCGReceiver.ear/lib/db2jcc_license_cu.jar:"$BCGHUB_HOME"/wasND/Profiles/"$RouterProfile"/installedApps/"$CellName"/BCGDocMgr.ear/lib/bcgCommon.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ConsoleProfile"/installedApps/"$CellName"/BCGConsole.ear/lib/bcgCommon.jar:"$BCGHUB_HOME"/wasND/Profiles/"$ReceiverProfile"/installedApps/"$CellName"/BCGReceiver.ear/lib/bcgCommon.jar

APP_CLASSPATH=$BCGHUB_HOME/bin/bcgPropertiesMigration.jar:$BCGHUB_HOME/migration/lib/common.jar:$BCGHUB_HOME/migration/lib/bcgsdk.jar:$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$BCGHUB_HOME/migration/lib/log4j-1.2.8.jar
CLASSPATH=$APP_CLASSPATH:$APP_LIB:$WAS_HOME/lib/j2ee.jar:$JDBC_DRIVER
PATH=$PATH:$JAVA_HOME/bin

export CLASSPATH PATH

if [ "$DBTYPE" = "ORACLE" ]
   then
    JDBC_DRIVER_CLASS=oracle.jdbc.driver.OracleDriver
    JDBC_URL="jdbc:oracle:thin:@$DB_HOSTNAME:$DB_PORT:$DB_NAME"
   else
    JDBC_DRIVER_CLASS=com.ibm.db2.jcc.DB2Driver
    JDBC_URL="jdbc:db2://$DB_HOSTNAME:$DB_PORT/$DB_NAME"
fi

USERID=$1
PASSWORD=$2

"$JAVA_HOME/bin/java"  -cp .:$JDBC_DRIVER:$CLASSPATH com.ibm.bcg.server.migration.MigrationProcess -connectionURL $JDBC_URL  -driverURL $JDBC_DRIVER_CLASS  -username $USERID -password $PASSWORD

exit 0